VERSION 5.00
Begin VB.Form FrmPhysical_Layer 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Physical Layer parameters configuration"
   ClientHeight    =   4890
   ClientLeft      =   45
   ClientTop       =   405
   ClientWidth     =   5115
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4890
   ScaleWidth      =   5115
   StartUpPosition =   1  'CenterOwner
   Begin VB.ComboBox OPERATION_SPEED 
      Height          =   315
      ItemData        =   "FrmPhysical_Layer.frx":0000
      Left            =   3120
      List            =   "FrmPhysical_Layer.frx":000A
      TabIndex        =   21
      Top             =   3600
      Width           =   1095
   End
   Begin VB.TextBox DistanceFactor 
      Height          =   285
      Left            =   3120
      TabIndex        =   8
      Top             =   3240
      Width           =   1095
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2760
      TabIndex        =   10
      Top             =   4320
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      Caption         =   "OK"
      Height          =   375
      Left            =   1200
      TabIndex        =   9
      Top             =   4320
      Width           =   1095
   End
   Begin VB.TextBox QualityReduce 
      Height          =   285
      Left            =   3120
      TabIndex        =   7
      Top             =   2880
      Width           =   1095
   End
   Begin VB.TextBox TB 
      Height          =   285
      Left            =   3120
      TabIndex        =   5
      Top             =   2160
      Width           =   1095
   End
   Begin VB.TextBox TH 
      Height          =   255
      Left            =   3120
      TabIndex        =   6
      Top             =   2520
      Width           =   1095
   End
   Begin VB.TextBox TG 
      Height          =   285
      Left            =   3120
      TabIndex        =   4
      Top             =   1800
      Width           =   1095
   End
   Begin VB.TextBox Ph 
      Height          =   285
      Left            =   3120
      TabIndex        =   3
      Top             =   1440
      Width           =   1095
   End
   Begin VB.TextBox B_BER 
      Height          =   285
      Left            =   3120
      TabIndex        =   2
      Top             =   1080
      Width           =   1095
   End
   Begin VB.TextBox G_BER 
      Height          =   285
      Left            =   3120
      TabIndex        =   1
      Top             =   720
      Width           =   1095
   End
   Begin VB.Frame Wireless 
      Height          =   4575
      Left            =   120
      TabIndex        =   0
      Top             =   5040
      Width           =   4935
   End
   Begin VB.Label Label4 
      Caption         =   "Attenuation due to Distance Factor"
      Height          =   255
      Left            =   600
      TabIndex        =   20
      Top             =   3240
      Width           =   2535
   End
   Begin VB.Line Line2 
      BorderColor     =   &H00000000&
      X1              =   240
      X2              =   4800
      Y1              =   4080
      Y2              =   4080
   End
   Begin VB.Label Label2 
      Caption         =   "Operation Speed (Mbps)"
      Height          =   375
      Left            =   600
      TabIndex        =   19
      Top             =   3600
      Width           =   1815
   End
   Begin VB.Label Label1 
      Caption         =   "Quality Reduce Factor"
      Height          =   255
      Left            =   600
      TabIndex        =   18
      Top             =   2880
      Width           =   1815
   End
   Begin VB.Label Label14 
      Caption         =   "TH (msec)"
      Height          =   255
      Left            =   600
      TabIndex        =   17
      Top             =   2520
      Width           =   855
   End
   Begin VB.Label Label13 
      Caption         =   "TB (msec)"
      Height          =   255
      Left            =   600
      TabIndex        =   16
      Top             =   2160
      Width           =   855
   End
   Begin VB.Label Label12 
      Caption         =   "TG (msec)"
      Height          =   255
      Left            =   600
      TabIndex        =   15
      Top             =   1800
      Width           =   735
   End
   Begin VB.Label Label11 
      Caption         =   "Ph (%)"
      Height          =   255
      Left            =   600
      TabIndex        =   14
      Top             =   1440
      Width           =   615
   End
   Begin VB.Label Label10 
      Caption         =   "Bad BER (10^)"
      Height          =   255
      Left            =   600
      TabIndex        =   13
      Top             =   1080
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "Good BER (10^)"
      Height          =   255
      Left            =   600
      TabIndex        =   12
      Top             =   720
      Width           =   1215
   End
   Begin VB.Line Line1 
      BorderColor     =   &H000080FF&
      X1              =   240
      X2              =   4800
      Y1              =   480
      Y2              =   480
   End
   Begin VB.Label Intro 
      Caption         =   "Here you can adjust  physical layer's parameters.  "
      Height          =   255
      Left            =   240
      TabIndex        =   11
      Top             =   120
      Width           =   3975
   End
End
Attribute VB_Name = "FrmPhysical_Layer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Const IND_TG                        As Long = 10
Const IND_TB                        As Long = 11
Const IND_TH                        As Long = 12
Const IND_G_BER                     As Long = 13
Const IND_B_BER                     As Long = 14
Const IND_Ph                        As Long = 15
Const IND_OPERATION_SPEED           As Long = 16
Const IND_QUALITY_REDUCE            As Long = 17
Const IND_DISTANCE_FACTOR           As Long = 18

Private Declare Function setGlobalParams Lib "simcore.dll" (ByVal p As Long, ByVal d As Long) As Long
Private Declare Function getGlobalParams Lib "simcore.dll" (ByVal p As Long) As Long


Private Sub Initialize()
G_BER.Text = getGlobalParams(IND_G_BER)
B_BER.Text = getGlobalParams(IND_B_BER)
TG.Text = getGlobalParams(IND_TG)
TB.Text = getGlobalParams(IND_TB)
TH.Text = getGlobalParams(IND_TH)
Ph.Text = getGlobalParams(IND_Ph)
If 36 = getGlobalParams(IND_OPERATION_SPEED) Then
OPERATION_SPEED.ListIndex = 0
Else
OPERATION_SPEED.ListIndex = 1
End If
DistanceFactor.Text = getGlobalParams(IND_DISTANCE_FACTOR)
QualityReduce.Text = getGlobalParams(IND_QUALITY_REDUCE)
End Sub

Private Sub set_parameters()
DllReturns = setGlobalParams(IND_G_BER, G_BER.Text)
DllReturns = setGlobalParams(IND_B_BER, B_BER.Text)
DllReturns = setGlobalParams(IND_TG, TG.Text)
DllReturns = setGlobalParams(IND_TB, TB.Text)
DllReturns = setGlobalParams(IND_TH, TH.Text)
DllReturns = setGlobalParams(IND_Ph, Ph.Text)
If OPERATION_SPEED.ListIndex = 0 Then
DllReturns = setGlobalParams(IND_OPERATION_SPEED, 36)
Else
DllReturns = setGlobalParams(IND_OPERATION_SPEED, 54)
End If
DllReturns = setGlobalParams(IND_DISTANCE_FACTOR, DistanceFactor.Text)
DllReturns = setGlobalParams(IND_QUALITY_REDUCE, QualityReduce.Text)
End Sub

Private Sub Command1_Click()
set_parameters
Unload Me
End Sub

Private Sub Command2_Click()
Call Initialize
Unload Me
End Sub

Private Sub Form_Load()
Call Initialize
End Sub
