VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form FrmInputOutput 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Configure Input and Output files"
   ClientHeight    =   5820
   ClientLeft      =   45
   ClientTop       =   405
   ClientWidth     =   5760
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5820
   ScaleWidth      =   5760
   StartUpPosition =   1  'CenterOwner
   Begin VB.TextBox Indicator 
      Height          =   285
      Left            =   4920
      TabIndex        =   10
      Top             =   5280
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.CommandButton Cancelcmd 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3000
      TabIndex        =   4
      Top             =   5280
      Width           =   1215
   End
   Begin VB.CommandButton OKcmd 
      Caption         =   "OK"
      Height          =   375
      Left            =   1440
      TabIndex        =   3
      Top             =   5280
      Width           =   1215
   End
   Begin VB.Frame Frame3 
      Caption         =   "Output File"
      Height          =   1935
      Left            =   240
      TabIndex        =   7
      Top             =   3000
      Width           =   5295
      Begin VB.CommandButton Browseforoutput 
         Caption         =   "Write results to..."
         Height          =   495
         Left            =   120
         TabIndex        =   2
         Top             =   1200
         Width           =   975
      End
      Begin VB.TextBox outputfilepath 
         Enabled         =   0   'False
         Height          =   375
         Left            =   1200
         Locked          =   -1  'True
         TabIndex        =   8
         Text            =   "Output  file not yet specified"
         Top             =   1200
         Width           =   3975
      End
      Begin VB.Label Label15 
         Caption         =   "Use the  button to set the output file that will contain simulation's results."
         Height          =   495
         Left            =   120
         TabIndex        =   9
         Top             =   480
         Width           =   4935
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Input Traffic File"
      Height          =   1815
      Left            =   240
      TabIndex        =   0
      Top             =   1080
      Width           =   5295
      Begin VB.TextBox inputfilepath 
         Enabled         =   0   'False
         Height          =   375
         Left            =   1200
         Locked          =   -1  'True
         TabIndex        =   6
         Text            =   "Input file not yet specified"
         Top             =   1080
         Width           =   3975
      End
      Begin VB.CommandButton browseforinputcmd 
         Caption         =   "Read input from..."
         Height          =   495
         Left            =   120
         TabIndex        =   1
         Top             =   1080
         Width           =   975
      End
      Begin VB.Label Label9 
         Caption         =   "Use the  button to locate the text file that describes simulator's input traffic."
         Height          =   615
         Left            =   120
         TabIndex        =   5
         Top             =   360
         Width           =   5055
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2760
      Top             =   2040
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame Frame1 
      Height          =   5655
      Left            =   0
      TabIndex        =   11
      Top             =   5760
      Width           =   5535
   End
   Begin VB.Line Line2 
      BorderColor     =   &H00000000&
      X1              =   240
      X2              =   5520
      Y1              =   5160
      Y2              =   5160
   End
   Begin VB.Line Line1 
      BorderColor     =   &H000080FF&
      X1              =   240
      X2              =   5520
      Y1              =   840
      Y2              =   840
   End
   Begin VB.Label Label1 
      Caption         =   $"FrmInputOutput.frx":0000
      Height          =   615
      Left            =   240
      TabIndex        =   12
      Top             =   120
      Width           =   5295
   End
End
Attribute VB_Name = "FrmInputOutput"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function set_filename Lib "simcore.dll" (ByVal p As String, ByVal flag As Long) As Long
Private Declare Function get_traffic Lib "simcore.dll" (ByVal p As String, ByVal switch As Long) As Long

Dim LoadedInput As Boolean
Dim DefinedOutput As Boolean

Private Sub Form_Load()
Indicator.Text = 0
End Sub

Private Sub Browseforoutput_Click()
CommonDialog1.CancelError = True
On Error GoTo ErrHandler
CommonDialog1.DialogTitle = " Write results to file... "
CommonDialog1.Filter = "Text Files (*.txt)|*.txt|Data Files (*.dat)|*.dat|"
CommonDialog1.FileName = "output.txt"
CommonDialog1.ShowSave
outputfilepath.Text = CommonDialog1.FileName
outputfilepath.Enabled = True
DefinedOutput = True
Exit Sub
ErrHandler:
MsgBox " Error opening output file. ", vbCritical, "802.11e Simulator "
Exit Sub
End Sub
Private Sub browseforinputcmd_Click()
CommonDialog1.CancelError = True
On Error GoTo ErrHandler
CommonDialog1.DialogTitle = " Open input traffic file..."
CommonDialog1.FileName = ""
CommonDialog1.Filter = "Text Files (*.txt)|*.txt|Data Files (*.dat)|*.dat|All Files (*.*)|*.*|"
CommonDialog1.ShowOpen
Indicator = get_traffic(CommonDialog1.FileName, 1)
If (Indicator = 0) Then
                MsgBox " The file is either empty or it can't be recognized by the simulator. ", vbCritical, "802.11e Simulator"
                Exit Sub
Else
inputfilepath.Text = CommonDialog1.FileName
inputfilepath.Enabled = True
MsgBox " The file seems valid, containing " & Indicator & " traffic streams. ", vbInformation, "802.11e Simulator"
LoadedInput = True
Exit Sub
End If
ErrHandler:
Exit Sub
End Sub
Private Sub Cancelcmd_Click()
Hide
End Sub
Private Sub OKcmd_Click()
If (LoadedInput = True And DefinedOutput = True) Then
DllGets = set_filename(inputfilepath.Text, 1)
DllGets = set_filename(outputfilepath.Text, 2)
Indicator.Text = 1
Else
Indicator.Text = 0
End If
Hide
End Sub
